using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class tblAddScheduleResponseAreaTimeOffset : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsWorkGroupTimezone",
                schema: "job",
                table: "Groups",
                type: "boolean",
                nullable: false,
                defaultValue: false);

            migrationBuilder.CreateTable(
                name: "ResponseAreaTimeOffsets",
                schema: "schedule",
                columns: table => new
                {
                    ResponseArea = table.Column<string>(type: "text", nullable: false),
                    TimeOffset = table.Column<string>(type: "text", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_ResponseAreaTimeOffsets", x => x.ResponseArea);
                },
                comment: "Расписание в ЕСПП. Смещение часового пояса относительно МСК для зоны ответственности рабочей группы");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "ResponseAreaTimeOffsets",
                schema: "schedule");

            migrationBuilder.DropColumn(
                name: "IsWorkGroupTimezone",
                schema: "job",
                table: "Groups");
        }
    }
}
